curl --request POST \
--url https://api.centosfi.com/v1/orders \
--header 'Content-Type: application/json' \
--data '
{
"qty": 123,
"buy_flag": true,
"subaccount_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 0.5,
"centos_id": 123,
"custom_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiry_ts_utc": "2023-11-07T05:31:56Z",
"conditional_orders_params": [
{
"trigger_order": {
"qty": 123,
"buy_flag": true,
"price": 0.5,
"stop_order_price": 0.5
},
"stop_order_price": 0.5,
"parent_centos_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_complex_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.centosfi.com/v1/orders"
payload = {
"qty": 123,
"buy_flag": True,
"subaccount_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 0.5,
"centos_id": 123,
"custom_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiry_ts_utc": "2023-11-07T05:31:56Z",
"conditional_orders_params": [
{
"trigger_order": {
"qty": 123,
"buy_flag": True,
"price": 0.5,
"stop_order_price": 0.5
},
"stop_order_price": 0.5,
"parent_centos_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_complex_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
qty: 123,
buy_flag: true,
subaccount_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
price: 0.5,
centos_id: 123,
custom_asset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expiry_ts_utc: '2023-11-07T05:31:56Z',
conditional_orders_params: [
{
trigger_order: {qty: 123, buy_flag: true, price: 0.5, stop_order_price: 0.5},
stop_order_price: 0.5,
parent_centos_order_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parent_complex_order_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
]
})
};
fetch('https://api.centosfi.com/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"centos_order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"complex_orders": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Order
Place a new order.
Submits an order for asynchronous processing. The order is persisted immediately and queued for execution on the target exchange.
See Orders and Order Types for more information.
Asset Selection:
Provide exactly one of centos_id (standard instrument) or custom_asset_id (user-defined basket).
Custom asset orders only support MARKET order type — the system automatically routes
IOC limit orders to each underlying instrument at optimal prices.
Response:
Returns 202 Accepted with the order_id and associated complex_orders ids (TP/SL).
Poll GET /v1/orders/{order_id} or use webhooks to track execution.
Body
Schema for creating a new order.
Order type: 'LIMIT' or 'MARKET'
LIMIT, MARKET Time in force: 'FOK', 'GTC', 'GTD', or 'IOC'
FOK, GTC, GTD, IOC Order quantity (number of contracts)
Order direction: true=buy, false=sell
Subaccount to place the order under
Limit price between 0 and 1. Required for LIMIT orders.
0 < x < 1Instrument ID. Mutually exclusive with custom_asset_id.
Custom asset basket UUID. Mutually exclusive with centos_id.
Expiry timestamp in UTC(ISO 8601). Required for GTD orders. i.e '2023-11-07T05:31:56Z'
Optional list of conditional orders (TP/SL) to attach to this order.
Show child attributes
Show child attributes

